## hello agents-0.2.6

=== requirements.txt ===
# 核心依赖 - 基础功能必需
openai>=1.0.0,<2.0.0
requests>=2.25.0,<3.0.0
python-dotenv>=0.19.0,<2.0.0
pydantic>=2.0.0,<3.0.0
beautifulsoup4>=4.9.0,<5.0.0
numpy>=2.0.0,<3.0.0
networkx>=2.6.0,<4.0.0

# 搜索功能依赖 - 可选安装: pip install hello-agents[search]
# tavily-python>=0.7.12
# google-search-results>=2.4.2

# 记忆系统依赖 - 可选安装: pip install hello-agents[memory]
# qdrant-client>=1.6.0
# neo4j>=5.0.0
# spacy>=3.4.0
# scikit-learn>=1.0.0

# RAG系统依赖 - 可选安装: pip install hello-agents[rag]
# scikit-learn>=1.0.0
# transformers>=4.20.0
# torch>=1.12.0
# sentence-transformers>=2.2.0
# markitdown>=0.0.1
# pypdf>=3.9.0
# pdfminer.six>=20221105

# 协议支持依赖 - 可选安装: pip install hello-agents[protocols]
# fastmcp>=2.0.0,<3.0.0
# a2a-sdk>=0.1.0

# 评估系统依赖 - 可选安装: pip install hello-agents[evaluation]
# datasets>=2.14.0,<3.0.0          # HuggingFace数据集加载
# huggingface_hub>=0.20.0,<1.0.0   # HuggingFace Hub API
# evaluate>=0.4.0,<1.0.0           # 评估工具
# pandas>=2.0.0,<3.0.0             # 数据处理和分析
# matplotlib>=3.7.0,<4.0.0         # 可视化(可选)
# seaborn>=0.12.0,<1.0.0           # 高级可视化(可选)
# tqdm>=4.65.0,<5.0.0              # 进度条显示
# gradio>=4.0.0,<5.0.0             # 人工验证界面
# bfcl-eval                        # BFCL官方评估工具
# "numpy>=1.0.0,<2.0.0",           # BFCL需要降级npmpy

# RL训练系统依赖 - 可选安装: pip install hello-agents[rl]
# trl>=0.24.0                      # Transformer Reinforcement Learning
# transformers>=4.20.0             # Transformer模型
# torch>=2.0.0                     # PyTorch
# datasets>=2.14.0                 # 数据集加载
# accelerate>=0.20.0               # 分布式训练加速
# peft>=0.5.0                      # LoRA等参数高效微调
# bitsandbytes>=0.41.0             # 量化支持
# wandb>=0.15.0                    # 训练监控（可选）
# tensorboard>=2.13.0              # TensorBoard支持（可选）

# 完整功能安装: pip install hello-agents[all]

## hello 2.5-1ubuntu1

=== debian/changelog ===
hello (2.5-1ubuntu1) jaunty; urgency=low

  * Initial release

 -- lian liang <lianglian@thunderst.com>  Thu, 08 Apr 2010 13:22:49 +0800

hello (2.5-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- lian liang <lianglian@thunderst.com>  Mon, 22 Feb 2010 15:15:49 +0800

=== debian/control ===
Source: hello
Section: x11
Priority: optional
Maintainer: onfoot <zhongsc@thunderst.com>
Build-Depends: debhelper (>= 7), autotools-dev,libgtk2.0-dev
Standards-Version: 3.8.0
Homepage: <insert the upstream URL, if relevant>

Package: testh
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/hello.sgml > hello.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/hello.
	$(MAKE) DESTDIR=$(CURDIR)/debian/hello install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## hello 2.6

=== debian/changelog ===
hello (2.6-1) unstable; urgency=low

  * New upstream release.
  * Drop unused INSTALL_PROGRAM stuff.
  * Switch to 3.0 (quilt) source format.
  * Standards-Version: 3.9.1 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Fri, 06 Aug 2010 22:04:02 +0200

hello (2.4-3) unstable; urgency=low

  * Modified doc/Makefile.in to avoid /usr/share/info/dir.gz.

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Aug 2009 13:05:52 +0200

hello (2.4-2) unstable; urgency=low

  * Removed prerm and postinst as they are no longer needed.
  * Added dependency on "dpkg (>= 1.15.4) | install-info".
  * Standards-Version: 3.8.3.

 -- Santiago Vila <sanvila@debian.org>  Wed, 26 Aug 2009 17:01:36 +0200

hello (2.4-1) unstable; urgency=low

  * New upstream release. License is now GPLv3 or later.
  * Manual is included again, as it's now GFDL without invariant sections.
  * Clarified manual: If more than one of the greeting options is specified
    (`-g', `-n', `-t', and their long-named equivalents), whichever comes
    last takes precedence. Closes: #457941.
  * Don't pass -isp to dpkg-gencontrol, as it's deprecated. Closes: #508833.
  * Changed source URL in copyright file to use http, not ftp.
  * Standards-Version: 3.8.2 (no changes for this).

 -- Santiago Vila <sanvila@debian.org>  Mon, 03 Aug 2009 23:34:18 +0200

hello (2.2-3) unstable; urgency=low

  * Added debian/watch file. Closes: #489213.
  * Removed unneeded section .comment from binary. Closes: #428722.
  * Run "make distclean" only if Makefile exists, but do not ignore errors.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Nov 2008 17:08:46 +0100

hello (2.2-2) unstable; urgency=low

  * Removed all traces of checkroot. It's not really debian/rules job,
    and the binary target will fail anyway if not invoked as root,
    as there is a chown call.

 -- Santiago Vila <sanvila@debian.org>  Wed, 11 Apr 2007 08:05:12 +0200

hello (2.2-1) unstable; urgency=low

  * New upstream release.
  * Repackaged source without GFDL manual.
  * Option -m does no longer exist (Closes: #109895).
  * Removed prerm and postinst, as info files are missing now.

 -- Santiago Vila <sanvila@debian.org>  Sat,  9 Dec 2006 17:00:14 +0100

hello (2.1.1-5) unstable; urgency=low

  * Removed checkdir stuff from debian/rules, as it is not very useful.
  * Standards-Version: 3.7.2 (no changes for this).
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Tue, 18 Jul 2006 19:55:02 +0200

hello (2.1.1-4) unstable; urgency=low

  * Updated config.guess and config.sub for GNU/K*BSD.

 -- Santiago Vila <sanvila@debian.org>  Mon,  5 Jan 2004 16:42:30 +0100

hello (2.1.1-3) unstable; urgency=low

  * Modified Makefile.in to make sure that install-info is never called
    during the build. This is a workaroud for an automake bug which makes
    packages to contain /usr/share/info/dir.gz.

 -- Santiago Vila <sanvila@debian.org>  Wed,  8 Oct 2003 12:43:26 +0200

hello (2.1.1-2) unstable; urgency=low

  * Standards-Version: 3.6.1 (no changes required).
  * Use `:' with chown for POSIX compliance, not `.'.
  * Use chmod u+w,go=rX to sanitize permissions.

 -- Santiago Vila <sanvila@debian.org>  Sun,  7 Sep 2003 15:32:18 +0200

hello (2.1.1-1) unstable; urgency=low

  * New upstream release. GNU hello now says `Hello, world!' in a lot of
    different languages, using gettext. See the NEWS file for details.
  * Fixed spelling error in extended description (Closes: #124733).
  * The upstream source now contains install-sh (Closes: #135735).
  * The info file is now installed under the "Development" section.
  * It already has a description, so --description isn't used anymore.
  * Removed deprecated emacs stuff from the Debian changelog.
  * Removed debian/hello.1, since there is now an upstream manpage.
  * Standards-Version: 3.5.7:
  - Added support for DEB_BUILD_OPTIONS (noopt and nostrip).
  - Modified prerm and postinst so that they do nothing about doc symlinks.
  * Updated copyright file. Removed references to Linux.
  * Some changes to make debian/rules more readable.
  * New maintainer (thanks, Adam).

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Oct 2002 21:07:42 +0200

hello (1.3-18) unstable; urgency=low

  * Fix bashism in debian/rules.  Closes: #81827.

 -- Adam Heath <doogie@debian.org>  Fri, 12 Jan 2001 00:42:56 -0600

hello (1.3-17) unstable; urgency=low

  * Fixed symlink creation for /usr/doc.  Closes: #62899.
  * Don't use whoami to test for root, as that isn't il8n.
  * Include the section and priority fields in debian/tmp/DEBIAN/control.
  * Lintian 1.11.2 clean.

 -- Adam Heath <doogie@debian.org>  Sun, 23 Apr 2000 19:52:39 -0500

hello (1.3-16) unstable; urgency=low

  * Added /usr/doc -> ../share/doc symlink handling.
  * This package has no build dependencies.

 -- Adam Heath <doogie@debian.org>  Sat,  4 Dec 1999 04:12:28 -0600

hello (1.3-15) unstable; urgency=low

  * New maintainer, as the current maintainer has been awol.
  * Ported to FHS.
  * Bugs fixed in previous releases: Closes: #14602, #20998, #14603
  * Acknowledge -14 nmu.  Closes: #14876
  * Remove comments about targets 'source' and 'diff', as they are
    only of interest for historical reasons.
  * Lintian 1.8.2 clean.

 -- Adam Heath <doogie@debian.org>  Sat, 18 Sep 1999 10:25:13 -0500

hello (1.3-14.3) unstable; urgency=low

  * YANMU.
  * This release has no lintian errors, so that the slink release
    won't be delayed.  :)
  * Added man page(written by rcw@irc.debian.org#debian).
    (Fixes Bug#4341)
  * Removed spurious 'source/diff' message from debian/rules, as it
    was confusing to new developers, and is a historical anomaly.
    (Fixes Bug#14602)
  * Removed bashims from debian/rules.  (Fixes Bug#14603)
  * Acknowledge the nmu in 14876.  (Fixes Bug#14876)
  * Removes  || $(MAKE) -f Makefile.in distclean from debian/rules.
    (Fixes Bug#20998)

 -- Adam Heath <doogie@debian.org>  Sun,  4 Oct 1998 01:30:01 -0500



=== debian/control ===
Source: hello
Section: devel
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.9.1
Homepage: http://www.gnu.org/software/hello/

Package: hello
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
Description: The classic greeting, and a good example
 The GNU hello program produces a familiar, friendly greeting.  It
 allows non-programmers to use a classic computer science tool which
 would otherwise be unavailable to them.
 .
 Seriously, though: this is an example of how to do a Debian package.
 It is the Debian version of the GNU Project's `hello world' program
 (which is itself an example for the GNU Project).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file - for GNU Hello.
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package = hello
docdir = debian/tmp/usr/share/doc/$(package)

CFLAGS = -g -Wall
STRIP = true

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP = strip --remove-section=.comment --remove-section=.note
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Recommended snippet for Autoconf 2.52 or later
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

build:
	./configure $(confflags) --prefix=/usr
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch build

clean:
	rm -f build
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars

binary-indep: build
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	$(MAKE) prefix=$$(pwd)/debian/tmp/usr install
	$(STRIP) debian/tmp/usr/bin/hello
	cp -a NEWS debian/copyright $(docdir)
	cp -a debian/changelog $(docdir)/changelog.Debian
	cp -a ChangeLog $(docdir)/changelog
	cd $(docdir) && gzip -9 changelog changelog.Debian
	gzip -r9 debian/tmp/usr/share/man
	gzip -9 debian/tmp/usr/share/info/*
	dpkg-shlibdeps debian/tmp/usr/bin/hello
	dpkg-gencontrol
	chown -R root:root debian/tmp
	chmod -R u+w,go=rX debian/tmp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## hello 2.7

=== debian/changelog ===
hello (2.7-3) unstable; urgency=low

  * Get CFLAGS from dpkg-buildflags.
  * Drop -g as it's provided by dpkg-buildflags. Add -Wall as it's not.
  * Drop noopt handling, dpkg-buildflags already takes care of that.

 -- Santiago Vila <sanvila@debian.org>  Sun, 26 Feb 2012 12:04:16 +0100

hello (2.7-2) unstable; urgency=low

  * Added recommended targets build-arch and build-indep.
  * Standards-Version: 3.9.2.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Aug 2011 13:08:08 +0200

hello (2.7-1) unstable; urgency=low

  * New upstream release.
  * Use chown with numeric value 0 instead of "root".
  * Make package cross-buildable without binutils-multiarch.
    Thanks to Héctor Orón. Closes: #616444.

 -- Santiago Vila <sanvila@debian.org>  Tue, 05 Apr 2011 15:37:44 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,8 @@
 package = hello
 docdir = debian/tmp/usr/share/doc/$(package)
 
-CFLAGS = -g -Wall
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall
 STRIP = true
-
-ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O2
-endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-  STRIP = strip --remove-section=.comment --remove-section=.note
-endif
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -26,8 +19,14 @@
 # Recommended snippet for Autoconf 2.52 or later
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   confflags += --build $(DEB_HOST_GNU_TYPE)
+  stripcmd = strip
 else
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+  stripcmd = $(DEB_HOST_GNU_TYPE)-strip
+endif
+
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+  STRIP = $(stripcmd) --remove-section=.comment --remove-section=.note
 endif
 
 build:
@@ -58,10 +57,14 @@
 	gzip -9 debian/tmp/usr/share/info/*
 	dpkg-shlibdeps debian/tmp/usr/bin/hello
 	dpkg-gencontrol
-	chown -R root:root debian/tmp
+	chown -R 0:0 debian/tmp
 	chmod -R u+w,go=rX debian/tmp
 	dpkg --build debian/tmp ..
 
 binary: binary-indep binary-arch
 
-.PHONY: binary binary-arch binary-indep clean
+build-arch: build
+
+build-indep: build
+
+.PHONY: binary binary-arch binary-indep build-arch build-indep clean

## hello 2.8

=== debian/changelog ===
hello (2.8-4) unstable; urgency=low

  * Added '-n' to all debian/rules gzip calls to help the build to be
    binary-reproducible. Closes: #719848.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Fri, 16 Aug 2013 09:50:00 +0200

hello (2.8-3) unstable; urgency=low

  * Quote prefix in make install to fix FTBFS when there are spaces
    in the working directory. Closes: #696855. Thanks to Dmitrijs Ledkovs.

 -- Santiago Vila <sanvila@debian.org>  Wed, 13 Feb 2013 11:24:42 +0100

hello (2.8-2) unstable; urgency=low

  * Use `dpkg-buildflags` instead of $(shell dpkg-buildflags).
    Otherwise "export DEB_BUILD_MAINT_OPTIONS=foo", when needed, does not work.

 -- Santiago Vila <sanvila@debian.org>  Thu, 07 Jun 2012 13:01:40 +0200

hello (2.8-1) unstable; urgency=low

  * New upstream release.
  * Dropped patch 01-no-usr-share-info-dir-gz in favour of new environment
    variable AM_UPDATE_INFO_DIR supported by recent automake.
  * Build with hardened flags (added CPPFLAGS and LDFLAGS).
  * Put CFLAGS stuff in ./configure call, where they really belong.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 May 2012 23:23:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.gnu.org/software/hello/
 
 Package: hello

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,16 @@
 package = hello
 docdir = debian/tmp/usr/share/doc/$(package)
 
-CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall
+CFLAGS := `dpkg-buildflags --get CFLAGS` -Wall
+LDFLAGS := `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
+
 STRIP = true
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+export AM_UPDATE_INFO_DIR = no
 
 # Recommended snippet for Autoconf 2.52 or later
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
@@ -30,8 +35,9 @@
 endif
 
 build:
-	./configure $(confflags) --prefix=/usr
-	$(MAKE) CFLAGS="$(CFLAGS)"
+	./configure CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
+		LDFLAGS="$(LDFLAGS)" $(confflags) --prefix=/usr
+	$(MAKE)
 	touch build
 
 clean:
@@ -47,14 +53,14 @@
 binary-arch: build
 	rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN $(docdir)
-	$(MAKE) prefix=$$(pwd)/debian/tmp/usr install
+	$(MAKE) prefix="$$(pwd)/debian/tmp/usr" install
 	$(STRIP) debian/tmp/usr/bin/hello
 	cp -a NEWS debian/copyright $(docdir)
 	cp -a debian/changelog $(docdir)/changelog.Debian
 	cp -a ChangeLog $(docdir)/changelog
-	cd $(docdir) && gzip -9 changelog changelog.Debian
-	gzip -r9 debian/tmp/usr/share/man
-	gzip -9 debian/tmp/usr/share/info/*
+	cd $(docdir) && gzip -9n changelog changelog.Debian
+	gzip -r9n debian/tmp/usr/share/man
+	gzip -9n debian/tmp/usr/share/info/*
 	dpkg-shlibdeps debian/tmp/usr/bin/hello
 	dpkg-gencontrol
 	chown -R 0:0 debian/tmp

## hello 2.9

=== debian/changelog ===
hello (2.9-2) unstable; urgency=low

  * Apply patch from Reuben Thomas to fix i18n of default message.
    This is upstream commit c4aed00. Closes: #767172.
  * The previous change in src/hello.c trigger a rebuild of man/hello.1
    that we don't need. Add a "touch man/hello.1" to avoid it.
  * Use Breaks: hello-debhelper (<< 2.9), not Conflicts,
    as hello-debhelper is deprecated.
  * Restore simple watch file from old hello package that was lost
    when the packages were renamed.
  * Update 99-config-guess-config-sub patch.

 -- Santiago Vila <sanvila@debian.org>  Thu, 06 Nov 2014 12:03:40 +0100

hello (2.9-1) unstable; urgency=low

  * New upstream release. Closes: #744195.
  * Source now contains README-dev. Closes: #621716.
  * Reworded short description.
  * Renamed source and binary from "hello-debhelper" to "hello".
  * The hello package will be renamed to "hello-traditional".
  * The file debian/rules is now the one using dh.
  * Added appropriate Conflicts/Replaces.
  * Raised priority to "optional".
  * Standards-Version: 3.9.5.

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Apr 2014 15:23:26 +0200

hello-debhelper (2.8-1) unstable; urgency=low

  * New upstream release.
  * Increase debhelper compatibility level to 9.
  * Dropped CFLAGS stuff, debhelper already takes care of that.
  * Dropped dh_auto_clean as it does no longer work. Just make distclean
    if there is a Makefile. Added override_dh_auto_clean to dh version.
  * Dropped patch 01-no-usr-share-info-dir-gz. No longer needed
    when using debhelper >= 9.20120311 with a source package created
    with a recent automake which supports AM_UPDATE_INFO_DIR.
  * Updated Build-Depends accordingly.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 May 2012 23:28:00 +0200

hello-debhelper (2.7-3) unstable; urgency=low

  * Get CFLAGS from dpkg-buildflags.
  * Drop -g as it's provided by dpkg-buildflags. Add -Wall as it's not.
  * Drop noopt handling, dpkg-buildflags already takes care of that.
  * Added "dh_installdocs NEWS" to dh version to sync with non-dh one.

 -- Santiago Vila <sanvila@debian.org>  Sun, 26 Feb 2012 12:13:16 +0100

hello-debhelper (2.7-2) unstable; urgency=low

  * Added recommended targets build-arch and build-indep.
  * Standards-Version: 3.9.2.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Aug 2011 13:15:26 +0200

hello-debhelper (2.7-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue, 05 Apr 2011 15:55:06 +0200

hello-debhelper (2.6-2) unstable; urgency=medium

  * Use debhelper compatibility level 8, the new recommended mode.

 -- Santiago Vila <sanvila@debian.org>  Wed, 18 Aug 2010 16:20:38 +0200

hello-debhelper (2.6-1) unstable; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) source format. Closes: #574878.
  * Added a note to debian/rules about the new dh syntax.
  * Standards-Version: 3.9.1 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Fri, 06 Aug 2010 22:05:00 +0200

hello-debhelper (2.5-1) unstable; urgency=low

  * New upstream release.
  * Added homepage field to control file.
  * Added cross-compilation support, using the new dh_auto_* commands
    from debhelper 7. Thanks a lot to Colin Watson. Closes: #550328.
  * Standards-Version: 3.8.4 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Sun, 14 Feb 2010 18:41:54 +0100

hello-debhelper (2.4-3) unstable; urgency=low

  * Modified doc/Makefile.in to avoid /usr/share/info/dir.gz.

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Aug 2009 13:07:00 +0200

hello-debhelper (2.4-2) unstable; urgency=low

  * Handle info files using dh_installinfo and ${misc:Depends}.
  * Removed debian/prerm and debian/postinst, no longer needed.
  * Standards-Version: 3.8.3.

 -- Santiago Vila <sanvila@debian.org>  Wed, 26 Aug 2009 17:08:00 +0200

hello-debhelper (2.4-1) unstable; urgency=low

  * New upstream release. Manual is back.
  * Standards-Version: 3.8.2 (no changes for this).

 -- Santiago Vila <sanvila@debian.org>  Mon, 03 Aug 2009 23:39:04 +0200

hello-debhelper (2.2-3) unstable; urgency=low

  * Run "make distclean" only if Makefile exists, but do not ignore errors.
  * Use debhelper compatibility level 7, as that's the level newly
    created packages are supposed to use.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Nov 2008 17:15:38 +0100

hello-debhelper (2.2-2) unstable; urgency=low

  * Removed dh_testroot call, as it's not debian/rules job.

 -- Santiago Vila <sanvila@debian.org>  Wed, 11 Apr 2007 08:09:00 +0200

hello-debhelper (2.2-1) unstable; urgency=low

  * New upstream release.
  * Repackaged source taken from hello package.
  * Removed prerm and postinst, as info files are missing now.

 -- Santiago Vila <sanvila@debian.org>  Sat,  9 Dec 2006 17:00:14 +0100

hello-debhelper (2.1.1-4) unstable; urgency=low

  * Removed dh_testdir from debian/rules, as it is not very useful.
  * Standards-Version: 3.7.2 (no changes for this).
  * Updated config.guess and config.sub.
  * Use debhelper compatibility level 5, as that's the level newly
    created packages are supposed to use.

 -- Santiago Vila <sanvila@debian.org>  Tue, 18 Jul 2006 19:57:10 +0200

hello-debhelper (2.1.1-3) unstable; urgency=low

  * Created debian/compat with "4" as contents.
  * Build-Depends: debhelper (>= 4) accordingly.
  * Things are now installed in debian/hello-debhelper, not debian/tmp.
  * Updated config.guess and config.sub for GNU/K*BSD.

 -- Santiago Vila <sanvila@debian.org>  Mon,  5 Jan 2004 16:45:52 +0100

hello-debhelper (2.1.1-2) unstable; urgency=low

  * The "Ockham's Razor" release.
  * Modified Makefile.in to make sure that install-info is never called
    during the build. This is a workaroud for an automake bug which makes
    packages to contain /usr/share/info/dir.gz.
  * Removed misleading comment at the top of debian/rules, this one is
    a complete rewrite, not a modification, from the hello debian/rules.


=== debian/control ===
--- 
+++ 
@@ -2,13 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9.20120311)
 Homepage: http://www.gnu.org/software/hello/
 
 Package: hello
 Architecture: any
-Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
-Description: The classic greeting, and a good example
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: hello-traditional
+Replaces: hello-traditional, hello-debhelper (<< 2.9)
+Breaks: hello-debhelper (<< 2.9)
+Description: example package based on GNU hello
  The GNU hello program produces a familiar, friendly greeting.  It
  allows non-programmers to use a classic computer science tool which
  would otherwise be unavailable to them.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	touch man/hello.1
	dh_auto_build

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean

override_dh_installdocs:
	dh_installdocs NEWS

## hello 2.10

=== debian/changelog ===
hello (2.10-5) unstable; urgency=medium

  * Add autopkgtest dependency on make. Closes: #1103293.
    Thanks to Jochen Sprickerhof.

 -- Santiago Vila <sanvila@debian.org>  Wed, 16 Apr 2025 11:50:00 +0200

hello (2.10-4) unstable; urgency=medium

  * Drop help2man from Build-Depends (not needed when using gbp/Salsa).
  * Run autopkgtests in a way which also works for other GNU packages.
    This change also fixes indirectly some undesired side effects
    of the old ad-hoc setup. Closes: #1034115.
  * Source should be buildable after a successful build. Closes: #1044215.
  * Hardcode COPYRIGHT_YEAR to make the build reproducible.
  * Drop obsolete debian/rules-old.
  * Update standards version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Apr 2025 23:45:00 +0200

hello (2.10-3) unstable; urgency=medium

  * Add some autopkgtests. Closes: #871622.
  * Add Vcs-Git and Vcs-Browser fields to debian/control. Closes: #893083.
  * Raise debhelper compat level from 9 to 13. This enables autoreconf,
    and as a result, some additional build-dependencies are required:
  - Add texinfo to Build-Depends, for a normal build.
  - Add help2man to Build-Depends, for a build using git.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields Bug-Submit, Name and Repository-Browse.
  * Add upstream signing-key.
  * Use a common debian/watch file which is valid for most GNU packages.
  * Sort control fields using wrap-and-sort.
  * Update standards version to 4.6.2.

 -- Santiago Vila <sanvila@debian.org>  Mon, 26 Dec 2022 16:30:00 +0100

hello (2.10-2) unstable; urgency=medium

  * Fix version skew. Closes: #928887.
  * Drop debian/compat and use new syntax to specify compat level.
  * Standards-Version: 4.3.0 (no changes for this).
  * Rules-Requires-Root: no

 -- Santiago Vila <sanvila@debian.org>  Mon, 13 May 2019 20:06:50 +0200

hello (2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: Drop 01-fix-i18n-of-default-message, no longer needed.
  * debian/patches: Drop 99-config-guess-config-sub, no longer needed.
  * debian/rules: Drop override_dh_auto_build hack, no longer needed.
  * Standards-Version: 3.9.6 (no changes for this).

 -- Santiago Vila <sanvila@debian.org>  Sun, 22 Mar 2015 11:56:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: devel
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9.20120311)
-Homepage: http://www.gnu.org/software/hello/
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), texinfo
+Homepage: https://www.gnu.org/software/hello/
+Vcs-Git: https://salsa.debian.org/sanvila/hello.git
+Vcs-Browser: https://salsa.debian.org/sanvila/hello
+Rules-Requires-Root: no
 
 Package: hello
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: hello-traditional
-Replaces: hello-traditional, hello-debhelper (<< 2.9)
+Replaces: hello-debhelper (<< 2.9), hello-traditional
 Breaks: hello-debhelper (<< 2.9)
 Description: example package based on GNU hello
  The GNU hello program produces a familiar, friendly greeting.  It

=== debian/tests/control ===
Test-Command: hello

Tests: upstream
Depends: @, make
Restrictions: build-needed, rw-build-tree, allow-stderr

## hello mysql

=== Makefile ===
TIME = /usr/bin/time -f "== Time: %E =="

all:
	@echo Use \"make build\" to build and \"make run\" to run

build: dumpc dumpp Dump.class

dumpc: main.c
	gcc -O2 -Wall -o dumpc main.c -lmysqlclient

dumpp: main.cc
	g++ -O2 -Wall -o dumpp main.cc -I/usr/include/mysql++ -I/usr/include/mysql -lmysqlpp

Dump.class: Dump.java
	javac Dump.java

run: build
	@echo === Running C ===
	@$(TIME) ./dumpc root
	@echo
	@echo === Running C++ ===
	@$(TIME) ./dumpp root
	@echo
	@echo === Running Java ===
	@$(TIME) java -cp /usr/share/java/mysql-connector-java.jar:. Dump root
	@echo
	@echo === Running Perl ===
	@$(TIME) ./dump.pl root
	@echo
	@echo === Running PHP ===
	@$(TIME) php dump.php root
	@echo
	@echo === Running Python ===
	@$(TIME) ./dump.py root
	@echo

clean:
	rm -f dumpc dumpp Dump.class

## hello props

=== CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

cmake_minimum_required(VERSION 2.8)
project(hello_props C)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CELIX_DIR}/share/celix/cmake/modules")

find_package(CELIX REQUIRED)

include_directories(${CELIX_INCLUDE_DIRS})

add_bundle(hello_props
    VERSION "1.0"
    SOURCES
        private/src/activator.c
)

add_deploy(hello_properties
    BUNDLES hello_props ${CELIX_BUNDLES_DIR}/shell.zip ${CELIX_BUNDLES_DIR}/shell_tui.zip
)

## hello signal

=== Makefile ===
MODULES = hello_signal
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## hello syscall

=== Makefile ===
obj-m := hello.o
obj-y := test_call.o

KDIR := /lib/modules/4.2.0/build
PWD := $(shell pwd)

default:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

clean:
	rm -f *.ko *.o Module* *mod*
